using System;
using System.Globalization;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace CommunityServer.Controls.Utility
{
	/// <summary>
	/// Summary description for CultureInfoDropDownList.
	/// </summary>
	public class CultureInfoDropDownList : System.Web.UI.WebControls.DropDownList
	{
		public CultureInfoDropDownList()
		{
			CultureInfo[] cultures = CultureInfo.GetCultures(CultureTypes.SpecificCultures);

			foreach( CultureInfo culture in cultures )
			{
				this.Items.Add( new ListItem(culture.DisplayName, culture.Name) );
			}
		}
	}
}
